Subject: Re: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Aug 2020 16:47:20 +0300

> From: Pip Cet <[email-masked]>
> Date: Fri, 21 Aug 2020 13:04:47 +0000
> Cc: [email-masked], Paul Eggert <[email-masked]>
> 
> On Fri, Aug 21, 2020 at 12:52 PM Lars Ingebrigtsen <[email-masked]> wrote:
> > I didn't read this thread closely, but it seems like the conclusion that
> > this patch should have been applied.  (It removes pure space,
> > apparently?)
> >
> > The patch never was applied, though -- should it be applied now?
> 
> I believe it's best to be careful with this one. Pure space affects GC
> in subtle ways, and it also affects performance.
> 
> See this thread:
> https://lists.gnu.org/archive/html/emacs-devel/2019-07/msg00588.html
> 
> I'd be happy to set up a separate branch for removing pure space if
> that's preferred.

What do we do with unexec builds, which are still supported?  Remove
that support? or ignore the possibility of an unexec build?